How do I resolve the a build exception failure in Android Studio?

Issue

I have been trying to run my flutter app through an emulator but I end up getting an error in the app/build.gradle section. Below is the error message, any insights to this will help

  • What went wrong: A problem occurred evaluating project ‘:app’. > Failed to apply plugin ‘kotlin-android’. > The current Gradle version 6.7 is not compatible with the Kotlin Gradle plugin. Please use Gradle 6.7.1 or newer, or the previous version of the Kotlin plugin.

Solution

Go to android folder in the project ==> gradle ==> gradle-wrapper.properties
then change the distributionUrl to
==> distributionUrl=https://services.gradle.org/distributions/gradle-6.7.1-all.zip

Answered By – Mohamad Alzabibi

This Answer collected from stackoverflow, is licensed under cc by-sa 2.5 , cc by-sa 3.0 and cc by-sa 4.0

Leave a Reply

(*) Required, Your email will not be published